Bug 1184028 (CVE-2015-1182) - CVE-2015-1182 polarssl: remote attack using crafted certificates
Summary: CVE-2015-1182 polarssl: remote attack using crafted certificates
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1184029 1184030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 13:42 UTC by Martin Prpič
Modified: 2019-09-29 13:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 22:26:58 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-01-20 13:42:20 UTC
The following flaw was found in PolarSSL:

During the parsing of a ASN.1 sequence, a pointer in the linked list of asn1_sequence is not initialized by asn1_get_sequence_of(). In case an error occurs during parsing of the list, a situation is created where the uninitialized pointer is passed to polarssl_free().

This sequence can be triggered when a PolarSSL entity is parsing a certificate. So practically this means clients when receiving a certificate from the server or servers in case they are actively asking for a client certificate.

Depending on the attackers knowledge of the system under attack, this results at the lowest into a Denial of Service, and at the most a possible Remote Code Execution.

The patch for this issue is provided in the PolarSSL Security Advisory 2014-04 referenced below.

External References:

https://polarssl.org/tech-updates/security-advisories/polarssl-security-advisory-2014-04

Comment 1 Martin Prpič 2015-01-20 13:43:31 UTC
Created polarssl tracking bugs for this issue:

Affects: fedora-all [bug 1184029]
Affects: epel-all [bug 1184030]

Comment 3 Fedora Update System 2015-01-30 04:31:43 UTC
polarssl-1.2.12-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-01-30 04:41:17 UTC
polarssl-1.3.9-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-02-08 19:22:05 UTC
polarssl-1.3.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-02-08 19:22:41 UTC
polarssl-1.3.9-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-08 19:23:52 UTC
polarssl-1.3.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.